import hou

print "  uENode mdule imported"

#Perhaps someday we'll need a class urbanEngineParm ...

class urbanEngineNode:
	def __init__(self, createMerge = True):
		self.geo = None
		self.first = None
		self.last = None
		self.createMerge = createMerge
	def setContainer(self, aContainer):
		self.geo = aContainer
		if self.createMerge:
			self.first = self.geo.createNode('merge')
			print "new uENode: initial node >", self.getNodeName()+'_inputMerge'
			self.first.setName(self.getNodeName()+'_inputMerge')
		else:
			self.first = None
		self.last = self.first
	def getContainer(self):
		return self.geo
	def construct(self):
		raise hou.OperationFailed("Construct function undefined!")
	def setFirst(self, aNode):
		self.first = aNode
	def setLast(self, aNode):
		self.last = aNode
	def getFirst(self):
		return self.first
	def getLast(self):
		return self.last
	def setName(self, aName):
		self.last.setName(aName)
	def name(self):
		return self.last.name()
	def getNodeName(self):
		return 'urbanEngineNode'
	def setFirstInput(self, node_to_become_input, output_index=0):
		self.first.setFirstInput(node_to_become_input.getLast())
	def setNextInput(self, node_to_become_input, output_index=0):
		self.first.setNextInput(node_to_become_input, output_index)
	def setInput(self, input_index, node_to_become_input, output_index=0):
		self.first.setInput(input_index, node_to_become_input, output_index)
	def parmEval(self, parmName):
		#raise hou.OperationFailed("No parms for urbanEngineNode!")
		pass
	def parmSet(self, parmName, parmValue):
		#raise hou.OperationFailed("No parms for urbanEngineNode!")
		pass
